<?php
	class Link implements JsonSerializable {
		protected $rel;
		protected $href;
		protected  $titles;
		protected  $properties;

		function __construct(string $rel, string $href, array $titles = [], array $properties = []){
			$this->rel = $rel;
			$this->href = $href;
			$this->titles = $titles;
			$this->properties = $properties;
		}
		function jsonSerialize(){
			return array_filter([
				'rel' => $this->rel,
				'href' => $this->href,
				'titles' => $this->titles,
				'properties' => $this->properties
			], function($item){
				return !!$item;
			});
		}
	}
?>
