<?php
	class Resource implements JsonSerializable {
		protected  $subject;
		protected  $aliases;
		protected  $properties;
		protected  $links;

		function __construct(string $subject, array $aliases = [], array $properties = [], array $links = []){
			$this->subject = $subject;
			$this->aliases = $aliases;
			$this->properties = $properties;
			$this->links = $links;
		}
		function jsonSerialize(){
			return array_filter([
				'subject' => $this->subject,
				'aliases' => $this->aliases,
				'properties' => $this->properties,
				'links' => $this->links
			],function($item){
				return !!$item;
			});
		}
	}
?>
